Bug 154821 - Remove more LLVM related cruft
Summary: Remove more LLVM related cruft
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: Other
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Csaba Osztrogonác
URL:
Keywords:
Depends on:
Blocks: 155838
  Show dependency treegraph
 
Reported: 2016-02-29 09:37 PST by Csaba Osztrogonác
Modified: 2016-03-25 10:10 PDT (History)
3 users (show)

See Also:


Attachments
Patch (11.80 KB, patch)
2016-02-29 09:39 PST, Csaba Osztrogonác
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Csaba Osztrogonác 2016-02-29 09:37:41 PST
SSIA
Comment 1 Csaba Osztrogonác 2016-02-29 09:39:29 PST
Created attachment 272497 [details]
Patch
Comment 2 Csaba Osztrogonác 2016-02-29 09:40:38 PST
There is no LLVM since http://trac.webkit.org/changeset/196729,
there is no reason to leave this dead code in WebKit trunk.
Comment 3 Csaba Osztrogonác 2016-02-29 10:33:20 PST
Comment on attachment 272497 [details]
Patch

Clearing flags on attachment: 272497

Committed r197358: <http://trac.webkit.org/changeset/197358>
Comment 4 Csaba Osztrogonác 2016-02-29 10:33:26 PST
All reviewed patches have been landed.  Closing bug.
Comment 5 Alexey Proskuryakov 2016-03-01 09:30:09 PST
I wonder if this broke iOS EWS yesterday. Investigating.

/Volumes/Data/EWS/WebKit/Source/WebKit/mac/WebCoreSupport/WebChromeClient.mm:46:9: fatal error: 'WebKitSystemInterface.h' file not found
#import "WebKitSystemInterface.h"
        ^
1 error generated.
Comment 6 Alexey Proskuryakov 2016-03-01 14:42:10 PST
Yes, the script now puts the files into a directory named --sdk, because of a pre-existing argument parsing problem that this change exposed.